---
title: UIEvent.cancelBubble
slug: Web/API/UIEvent/cancelBubble
tags:
  - API
  - DOM
  - NeedsBrowserCompatibility
  - NeedsMobileBrowserCompatibility
  - Non-standard
  - Property
  - Reference
  - UIEvent
---
<p>{{APIRef("DOM Events")}}{{Non-standard_header}}{{ Deprecated_header() }}</p>

<p>The <code><strong>UIEvent.cancelBubble</strong></code> property indicates if event bubbling for this event has been canceled or not. It is set to <code>false</code> by default, allowing the event to bubble up the DOM, if it is a bubbleable event. Setting this property to <code>true</code> stops the event from bubbling up the DOM. Not all events are allowed to bubble up the DOM.</p>

<div class="note">
<p>Use {{domxref("Event.stopPropagation()")}} instead of this non-standard method.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>event</em>.cancelBubble = <em>bool</em>;
<em>var bool</em> = <em>event</em>.cancelBubble;
</pre>

<h2 id="Specifications">Specifications</h2>

<p><em>This property is not part of any specification.</em> Although the similar {{domxref("Event.cancelBubble")}} property was included in <a href="http://www.w3.org/TR/1999/WD-DOM-Level-2-19990304/events.html#attribute-cancelBubble">an old Working Draft of W3C DOM Level 2</a>. Microsoft has a <a href="https://msdn.microsoft.com/en-us/library/ms533545(v=vs.85).aspx">description of it on MSDN</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.UIEvent.cancelBubble")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Event.cancelBubble")}}</li>
</ul>
